OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::CameraParameterReader Class Reference

`#include <cameraParameterReader.hpp>`

## Public Member Functions
| CameraParameterReader ()
virtual | ~CameraParameterReader ()
| CameraParameterReader (const std::string &serialNumber, const cv::Mat &cameraIntrinsics, const cv::Mat &cameraDistortion, const cv::Mat &cameraExtrinsics=cv::Mat(), const cv::Mat &cameraExtrinsicsInitial=cv::Mat())
void | readParameters (const std::string &cameraParameterPath, const std::vector< std::string > &serialNumbers={})
void | readParameters (const std::string &cameraParameterPath, const std::string &serialNumber)
void | writeParameters (const std::string &cameraParameterPath) const
unsigned long long | getNumberCameras () const
const std::vector< std::string > & | getCameraSerialNumbers () const
const std::vector< cv::Mat > & | getCameraMatrices () const
const std::vector< cv::Mat > & | getCameraDistortions () const
const std::vector< cv::Mat > & | getCameraIntrinsics () const
const std::vector< cv::Mat > & | getCameraExtrinsics () const
const std::vector< cv::Mat > & | getCameraExtrinsicsInitial () const
bool | getUndistortImage () const
void | setUndistortImage (const bool undistortImage)
void | undistort (cv::Mat &frame, const unsigned int cameraIndex=0u)

## Constructor & Destructor Documentation

op::CameraParameterReader::CameraParameterReader | ( |  | ) |
| explicit

virtual op::CameraParameterReader::~CameraParameterReader | ( |  | ) |
| virtual

op::CameraParameterReader::CameraParameterReader | ( | const std::string & | serialNumber,
|  | const cv::Mat & | cameraIntrinsics,
|  | const cv::Mat & | cameraDistortion,
|  | const cv::Mat & | cameraExtrinsics = `cv::Mat()`,
|  | const cv::Mat & | cameraExtrinsicsInitial = `cv::Mat()`
| ) |  |
| explicit

## Member Function Documentation

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraDistortions | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraExtrinsics | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraExtrinsicsInitial | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraIntrinsics | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraMatrices | ( |  | ) | const

const std::vector<std::string>& op::CameraParameterReader::getCameraSerialNumbers | ( |  | ) | const

unsigned long long op::CameraParameterReader::getNumberCameras | ( |  | ) | const

bool op::CameraParameterReader::getUndistortImage | ( |  | ) | const

void op::CameraParameterReader::readParameters | ( | const std::string & | cameraParameterPath,
|  | const std::vector< std::string > & | serialNumbers = `{}`
| ) |  |

void op::CameraParameterReader::readParameters | ( | const std::string & | cameraParameterPath,
|  | const std::string & | serialNumber
| ) |  |

void op::CameraParameterReader::setUndistortImage | ( | const bool | undistortImage | ) |

void op::CameraParameterReader::undistort | ( | cv::Mat & | frame,
|  | const unsigned int | cameraIndex = `0u`
| ) |  |

void op::CameraParameterReader::writeParameters | ( | const std::string & | cameraParameterPath | ) | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/3d/cameraParameterReader.hpp